/* ============================ 
   SIDEBAR
   ============================ */


/*Boton Cerrar*/
/* Estilo para el botón de cierre en el sidebar */
.btn-close {
    font-size: 30px;
    color: #D7DADE;
    background: transparent;
    border: none;
    cursor: pointer;
    transition: color 0.3s ease;
    display: inline-block;
}

.tl_filter_container {
    background-color: transparent;
    width: 80%;
}

.btn-close::before {
    content: '\00d7';
    font-size: inherit;
    color: inherit;
}

.btn-close:hover {
    color: #0058FF;
}

.btn-close:focus {
    outline: none;
    color: #0058FF;
}

/*Estilos de lista*/
.list-group-item {
    border: 0px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.botonAtrasSubmenu {
    border: 0px;
    border-radius: 0px;
}

/* Estilos para el sidebar (menú lateral) */
.sidebar {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    transition: right 0.3s ease-in-out;
    overflow-y: auto;
}

/* Sidebar visible cuando tiene la clase 'active' */
.sidebar.active {
    right: 0;
}

/* Estilos del sidebar en pantallas grandes (mayores a 992px) */
@media (min-width: 992px) {

    /* Escritorio */
    .sidebar {
        width: 500px;
    }
}

/* ============================ 
   SUBMENÚ PARA MÉDICOS
   ============================ */

/* Submenú para médicos que se muestra al hacer clic */
.submenu-screen {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

/* ============================ 
   SECCIÓN CARRUSEL Y FONDO PRINCIPAL
   ============================ */

/* Fondo principal de la página */
.fondoPrincipal {
    background-image: url('/img/fondos/fondo-principal.svg');
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
}

/* ============================ 
   CARRUSEL
   ============================ */

/* Estilos generales del carrusel */
.containerBanner {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Carrusel para escritorio */
.bd-escritorio {
    width: 1020px;
}

/* Carrusel para móviles */
.bd-moviles {
    width: 649px;
    height: auto;
}

/* Estilos para los elementos del carrusel */
.carousel-inner {
    width: 100%;
    height: 100%;
}

/* Estilos para las imágenes del carrusel */
.carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* Ajusta la imagen sin deformarla */
}

/* ============================ 
   ESTILOS DEL BUSCADOR
   ============================ */

/* Barra de búsqueda */
.search-bar {
    max-width: 90%;
    /* Ajusta el tamaño según necesidad */
    margin: 0 auto;
    /* Centra la barra de búsqueda */
}



/* Estilos del botón de búsqueda */
.btn.buscador {
    border-radius: 0 20px 20px 0;
    /* Redondeado solo en la derecha */
}

/* ============================ 
   HOME PARA MÉDICOS
   ============================ */

.carousel-container {
    position: relative;
    width: 1140px;
    margin: auto;
    overflow: hidden;
    padding: 20px 70px;
}

.carousel-wrapper {
    display: flex;
    align-items: center;
    position: relative;
}

.carousel-track-container {
    overflow: hidden;
    width: 100%;
}

.carousel-track {
    display: flex;
    gap: 10px;
    transition: transform 0.5s ease-in-out;
}

.card {
    border-radius: 0px;
    flex: 0 0 auto;
    width: 234px;
    height: 330px;
    background: #f8f9fa;
    box-shadow: 8px 4px 6px rgba(227, 227, 227, 0.413);
    justify-content: end;
    align-items: center;
    font-weight: bold;
    font-size: 18px;
    border: solid 1px #e5e5e5;
}

.carousel-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.2);
    color: white;
    border: 0px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    cursor: pointer;
    z-index: 10;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.prev {
    left: 0;
}

.next {
    right: 0;
}

.carousel-btn:hover {
    background: rgba(0, 0, 0, 0.8);
}

@media(max-width: 1024px) {
    .carousel-container {
        position: relative;
        width: 1000px;
        margin: auto;
        overflow: hidden;
        padding: 20px 70px;

    }
}

@media (max-width: 768px) {
    .carousel-container {
        width: 90vw;
        padding: 0;
    }

    .carousel-track-container {
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
    }

    .card {
        scroll-snap-align: start;
    }

    .carousel-btn {
        display: none;
    }
}

/* ============================ 
  FOOTER
   ============================ */


.estiloFooter {
    background-color: rgb(16, 44, 85);
    color: white;
}

.logo-footer {
    width: 100%;
    filter: brightness(0) invert(1);
}

.logoRedes {

    filter: brightness(0) invert(1);
}

.border-end {
    border-right: 0px solid !important;
}


.colorMdDos {
    color: #FFFFFF;
}

.colorMdDos:hover {
    font-weight: 700;
}



/* @media screen and (max-width: 1060px) {
    .tl_filter_container {
        background-color: transparent;
        width: 400px;
    }
}

@media screen and (max-width: 780px) {
    .tl_filter_container {
        background-color: transparent;
        width: 300px;
    }
}*/

@media screen and (max-width: 470px) {
    .custom-multiselect_p {
       width: 100% !important;
    }
} 

@media screen and (max-width: 770px) {
    .contents_section {
        /* margin-top: 70px; */
    }
} 

.main_general {
  padding-top: 120px;
}

@media (max-width: 765px) {
  .main_general {
    padding-top: 160px;
  }
}

@media (max-width: 576px) {
  .main_general {
    padding-top: 180px;
  }
}

/* Excepción para escritorio */
@media (min-width: 768px) {
    .estiloFooter {
        background-color: #f0f0f0;
        color: #707070;
        

    }

    .colorMdDos {
        color: #707070;
    }

    .logo-footer {
        width: 25%;
        filter: none;
    }

    .logoRedes {

        filter: none;
    }

    .border-end {
        border-right: 1px solid #a9a9a9 !important;
    }

    .border-footer {
        border-bottom: 1px solid #a9a9a9 !important;
    }



}